﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Data;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Imaging;
using System.Windows.Navigation;
using System.Windows.Shapes;

namespace WPFTorpedo
{
    /// <summary>
    /// Interaction logic for MainWindow.xaml
    /// </summary>
    public partial class MainWindow : Window
    {
        public MainWindow()
        {
            InitializeComponent();
        }
        private int[,] Tenger = new int[25, 25];
        const int darab=100;
        Random rand = new Random(DateTime.Now.Millisecond);
        private Button[] hajok = new Button[darab];
        private void Feltolt()
        {
            for (int i = 0; i < 25; i++)
            {
                for (int j = 0; j < 25; j++)
                {
                    Tenger[i, j] = 0;
                }
            }
            int k = 0,x,y;
            while (k<darab)
            {
                x = rand.Next() % 25;
                y = rand.Next() % 25;
                if (Tenger[x,y]==0)
                {
                    Tenger[x, y] = 1;
                    k++;
                }
            }
            db.Content = darab;
            for (int i = 0; i < darab; i++)
            {
                hajok[i] = new Button();
            }
        }

        private void Tuz_Click(object sender, RoutedEventArgs e)
        {
            int i, j,poz;
            i =(int)Math.Truncate(oldalso.Value);
            j = (int)Math.Truncate(also.Value);
            poz=int.Parse(db.Content.ToString())-1;
            if (Tenger[i,j]==1 && poz>-1)
            {
                Palya.Children.Add(hajok[poz]);
                Grid.SetRow(hajok[poz], i);
                Grid.SetColumn(hajok[poz], j);
                db.Content = poz;
            }

        }

        private void Window_Loaded(object sender, RoutedEventArgs e)
        {
            Feltolt();
        }
    }
}
